#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <exec/types.h>
#include <exec/ports.h>
#include <exec/semaphores.h>
#include <exec/memory.h>
#include <exec/libraries.h>
#include <dos/dos.h>
#include <dos/dostags.h>
#include <utility/tagitem.h>
#include <intuition/intuitionbase.h>
#include <rexx/errors.h>
#include <rexx/rxslib.h>
#include <reqtools/include/reqtools.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <clib/dos_protos.h>
#include <clib/graphics_protos.h>
#include <clib/intuition_protos.h>
#include <clib/diskfont_protos.h>
#include <clib/rexxsyslib_protos.h>
#include <reqtools/clib/reqtools_protos.h>

#define LibCall    __geta4 __regargs
#define Prototype  extern

#include "golded:developer/golded/include/golded.h"
#include "golded:developer/syntax/include/scanlib.h"

#include "o/lib-protos.h"

extern const char LibName[];
extern const char LibId[];

extern struct Library         *IntuitionBase;
extern struct Library         *DiskfontBase;
extern struct Library         *ReqToolsBase;
extern struct Library         *RexxSysBase;
extern struct GfxBase         *GfxBase;

extern struct SignalSemaphore  ISpellSemaphore;
extern BOOL                    IsLetter  [256];
extern BOOL                    IsBoundary[256];
extern BOOL                    QuickCheck;
