/// "includes"

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include <exec/types.h>
#include <exec/ports.h>
#include <exec/semaphores.h>
#include <exec/memory.h>
#include <exec/libraries.h>
#include <dos/dos.h>
#include <dos/dostags.h>
#include <utility/tagitem.h>
#include <intuition/intuitionbase.h>
#include <libraries/gadtools.h>
#include <rexx/errors.h>
#include <rexx/rxslib.h>
#include <devices/audio.h>
#include <reqtools/include/reqtools.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <clib/dos_protos.h>
#include <clib/graphics_protos.h>
#include <clib/intuition_protos.h>
#include <clib/diskfont_protos.h>
#include <clib/rexxsyslib_protos.h>
#include <clib/gadtools_protos.h>
#include <reqtools/clib/reqtools_protos.h>

#define LibCall    __geta4 __regargs
#define Prototype  extern

#include "golded:developer/api/include/api.h"
#include "golded:developer/golded/include/golded.h"
#include "o/lib-protos.h"

#ifndef RC_OK
#define RC_OK   0L
#endif

#ifndef RC_WARN
#define RC_WARN 5L
#endif

extern const char LibName[];
extern const char LibId[];

///
/// "globals"

extern BOOL  IsLetter  [256];
extern BOOL  IsTrigger [256];
extern BOOL  IsBoundary[256];
extern BOOL  Online;
extern UWORD Volume;

extern struct SignalSemaphore  ISpellSemaphore;
extern struct Library         *IntuitionBase;
extern struct Library         *DiskfontBase;
extern struct GfxBase         *GfxBase;
extern struct Library         *GadToolsBase;
extern struct Library         *ReqToolsBase;

///
